/****************************************************************************
 * merlin.c
 *
 * Copyright (c) 2000 Stefan Hellkvist, Ericsson Radio Systems AB 
 * Email: stefan@hellkvist.org
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *****************************************************************************/

#include <event.h>
#include <wizard.h>
#include <graphics.h>
#include <pattern.h>
#include <point.h>
#include <wizard.h>
#include <stdio.h>
#include <ctype.h>
#include <sys/types.h>
#include <sys/time.h>
#include <unistd.h>


/* Some global variables */
Pattern *current;
BANK bank;
MODE mode;
int lastWasShift = 0;

#ifdef USE_LIBSN
   SnLauncheeContext *sn_context;
   SnDisplay         *sn_display;
#endif

int
main(int argc, char **argv)
{
    initGraphics( argc, argv );
    initWizard();
    current = newPattern( 100, 'a' );
    setBank( NATURAL );
    setMode( SINGLE_STROKE );

#ifdef USE_LIBSN
    if (sn_context) 
      {
	sn_launchee_context_complete (sn_context);    
      }
#endif

    eventLoop();
    return 0;
}








